Bug 217073 - [exp-run] security/gnutls: update to 3.5.9
Summary: [exp-run] security/gnutls: update to 3.5.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-13 15:27 UTC by Tijl Coosemans
Modified: 2017-02-20 14:48 UTC (History)
1 user (show)

See Also:


Attachments
patch (7.40 KB, patch)
2017-02-13 15:27 UTC, Tijl Coosemans
no flags Details | Diff
patch2 (7.44 KB, patch)
2017-02-14 20:04 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2017-02-13 15:27:50 UTC
Created attachment 179951 [details]
patch

This release marks some functions deprecated.  An exp-run is needed to make sure there's no fallout.
Comment 1 Antoine Brodin freebsd_committer 2017-02-14 19:30:43 UTC
There seems to be an issue with the pkgconfig file and libidn2:

http://package22.nyi.freebsd.org/build.html?mastername=103i386-default-PR217073&build=2017-02-14_18h52m06s
Comment 2 Tijl Coosemans freebsd_committer 2017-02-14 20:04:07 UTC
Created attachment 179997 [details]
patch2

libidn2 doesn't have pkgconfig file apparently, but it looks like upstream added one for next release.  Let's just stay with libidn for now then.
Comment 3 Antoine Brodin freebsd_committer 2017-02-20 06:37:03 UTC
Exp-run looks fine.
Comment 4 commit-hook freebsd_committer 2017-02-20 14:34:36 UTC
A commit references this bug:

Author: tijl
Date: Mon Feb 20 14:34:09 UTC 2017
New revision: 434443
URL: https://svnweb.freebsd.org/changeset/ports/434443

Log:
  Update to 3.5.9.  Disable use of libidn2 for now because it does not provide
  a pkgconfig file.

  PR:		217073
  Exp-run by:	antoine

Changes:
  head/security/gnutls/Makefile
  head/security/gnutls/distinfo
  head/security/gnutls/pkg-plist